songrec-listen(1)

NAME
songrec-listen - Run as a command-line program listening the microphone and printing recognized songs to stdout, exposing current song info via MPRIS

SYNOPSIS
songrec listen [-l|--list-devices] [-d|--audio-device] [-i|--request-interval] [-j|--json] [-c|--csv] [--disable-mpris] [-h|--help]

DESCRIPTION
Run as a command-line program listening the microphone and printing recognized songs to stdout, exposing current song info via MPRIS

OPTIONS

-l, --list-devices
    List available audio devices and quit

-d, --audio-device
    Specify the audio device to use

-i, --request-interval [default: 10]
    Shazam interval between requests in seconds (increase if you are rate-limited)

-j, --json
    Enable printing full song info in JSON

-c, --csv
    Enable printing full song info in the CSV format

--disable-mpris
    Disable MPRIS support

-h, --help
    Print help